Subject: Re: Problems with wuarchive on an IRIX 5.3 machine

From: [email-masked] (Karen Brown Foster)
Date: Wed, 8 Nov 1995 13:58:30 -0500

Thank you so much for your help.  Adding the -a option in the inetd.conf file
seems to have cleared up my problem.

I really appreciate your speedy response.

Karen

On Nov 8, 11:28am, Bob DeBula wrote:
> Subject: Re: Problems with wuarchive on an IRIX 5.3 machine
> > Thank you very much for your fast response.  I did what you just suggested
and
> > got the results that I mentioned earlier.
> >
> > Karen
> > On Nov 8,  3:02pm, Yanming PENG wrote:
> > > Subject: Re: Problems with wuarchive on an IRIX 5.3 machine
> > > >
> > > > Hello everyone:
> > > >
> > > > I am relatively new to this list.  I am trying to set up wuarchive on
an
> > SGI
> > > > machine running IRIX 5.3.  I have successfully compiled all of the
> > binaries, I
> > > > have set up the directory structure according to documention I've read
in
> > the
> > > > "Managing Internet Information Services" book to the best of my
ability.
> >  When
> > > > I try connecting to my archive, I receive the following message:
> > > >
> > > >   ftp: connect: Connection refused
> > > >
> > > Check your /etc/inetd.conf, uncomment the line contains:
> > > ftp     stream  tcp     nowait  root    /usr/etc/ftpd   ftpd -l
> > > and edit it. Then, send SIGHUP to inetd:
> > > kill -1 <PID-of-inetd>
>
> Yanming's suggestions were right on the money. You may also want to check
> "/etc/services" to make sure that the FTP line isn't commented out.
> Basically, the root cause of what you're seeing is, in all probability,
> that (for whatever reason) the ftpd isn't answering on the port (21).
> You can telnet directly to the port with something like "telnet
> localhost 21". If everything is set right, you should get a session
> along the lines of:
>
> ----------------------------------------------------------------------------
> {bobd 63} telnet localhost 21
> Trying 128.146.116.63...
> Connected to localhost.acs.ohio-state.edu.
> Escape character is '^]'.
> 220 barney FTP server (Version wu-2.4.2-academ[BETA-7](1) Tue Oct 24 15:25:12
EDT 1995) ready.
> quit
> 221 Goodbye.
> Connection closed by foreign host.
> ----------------------------------------------------------------------------
>
> The other thing may be that for some reason, the place you reference in
> "/etc/inetd.conf" isn't where the wu-ftpd daemon really is located.
> You'll want to double check this probably. My "/etc/inetd.conf", for
> example, looks like:
>
> ftp     stream  tcp     nowait  root    /usr/local/etc/ftpd     ftpd -al
>
> You may also want to look through the ftpd man page on your SGI (better yet,
> look through the ftpd man page that came with wu-ftpd) for
> installation/activation instructions.
>
> I checked the SGI "chkconfig" to see if there is an "ftp" switch, but
> apparently not, so that wouldn't be the problem (though other networking
> related switches could be as a remote possibility).
>
> If you didn't kill inetd with a HUP signal ( kill -HUP <pid> ), the
> modified "/etc/inetd.conf" (or "/etc/services" for that matter)
> configurations wouldn't have gotten loaded by the running inetd
> (Yanming did point this out in his message, I'm just repeating it in
> case you overlooked it for some reason). I hope this helps.
>
> would
>-- End of excerpt from Bob DeBula

-- 
Karen Brown Foster
Unix System Administrator
Fisheries Statitics Division
National Marine Fisheries Service
(301) 713-2316  VOICE
(301) 713-4137  FAX
[email-masked]

---

From: Yanming PENG <[email-masked]>
Date: Wed, 8 Nov 95 15:02:48 WET

> 
> Hello everyone:
> 
> I am relatively new to this list.  I am trying to set up wuarchive on an SGI
> machine running IRIX 5.3.  I have successfully compiled all of the binaries, I
> have set up the directory structure according to documention I've read in the
> "Managing Internet Information Services" book to the best of my ability.  When

--
Yanming PENG  [email-masked]  http://peng.mech.kuleuven.ac.be or
http://www.mech.kuleuven.ac.be/pma/people/peng/index.html  Tel.32-16-322516
-- The trouble with doing something right the first time is that nobody --
-- appreciates how difficult it was. --

---

From: [email-masked] (Karen Brown Foster)
Date: Wed, 8 Nov 1995 10:32:38 -0500

Thank you very much for your fast response.  I did what you just suggested and
got the results that I mentioned earlier.

Karen
binaries, I
>-- End of excerpt from Yanming PENG

---

From: Bob DeBula <[email-masked]>
Date: Wed, 8 Nov 1995 11:28:38 -0500 (EST)

220 barney FTP server (Version wu-2.4.2-academ[BETA-7](1) Tue Oct 24 15:25:12 EDT 1995) ready.

would